### Method

# Ide TransientSidebar set_page

#### Declaration

    void
    ide_transient_sidebar_set_page (
      IdeTransientSidebar* self,
      IdePage* page
    )

#### Description

Sets the page for which the panel is transient for. When focus leaves the sidebar or the page, the panel will be dismissed.

Available since: | 3.32

#### Parameters

`page` | `IdePage`
| An `IdePage` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.